--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Add a scope level to the current env. Eg:"
- !ruby/struct:SM::Flow::VERB 
  body: "  def process_defn exp\n    name = exp.shift\n    args = process(exp.shift)\n    scope do\n      body = process(exp.shift)\n      # ...\n    end\n  end\n\n  env[:x] = 42\n  scope do\n    env[:x]       # =&gt; 42\n    env[:y] = 24\n  end\n  env[:y]         # =&gt; nil\n"
full_name: SexpProcessor#scope
is_singleton: false
name: scope
params: (&block)
visibility: public
